Bug 147220 - Replacing with the track changes on but not visible results in false rendering
Summary: Replacing with the track changes on but not visible results in false rendering
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.1.8.1 release
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.4.0 target:7.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Track-Changes redlinehide-regressions
  Show dependency treegraph
 
Reported: 2022-02-05 18:24 UTC by Anduril
Modified: 2022-05-17 19:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot showing the presence of original text: él and replaced text: Él (9.57 KB, image/png)
2022-02-05 18:24 UTC, Anduril
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anduril 2022-02-05 18:24:02 UTC
Created attachment 178083 [details]
Screenshot showing the presence of original text: él and replaced text: Él

Description
Replacing text with search and replace shows both text before replacement and replaced text.

What should happen
Only replaced text should be shown.

Reproduce
Replace text with only the track changes on, not the Show track changes.

I noticed that it does not happen all the time.

One way to see the text as it should be is to click on Show track changes twice.
Comment 1 Anduril 2022-02-05 18:26:55 UTC
I am using a fodt document and my text is divided in paragraphs and then I have converted these into cells. I have noticed that when I am within a cell everything goes well. When the search goes to the next cell, the doubles are shown again.
Comment 2 raal 2022-02-20 05:16:16 UTC
I can confirm with Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 8942956e05f2208ffb666a2118f5db092c30ce6a
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded Jumbo

 - write "él"
 - tracked changes ON
 - view changes OFF
 - Find and replace él -> Él
Comment 3 raal 2022-02-20 05:19:25 UTC
Works in Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
-> regression
Comment 4 raal 2022-02-20 05:32:32 UTC
This seems to have begun at the below commit.
Adding Cc: to Michael Stahl; Could you possibly take a look at this one?
Thanks
 ae82aa93d4536e9529688f412def4a23908f1d40 is the first bad commit
commit ae82aa93d4536e9529688f412def4a23908f1d40
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Wed Dec 19 08:07:30 2018 +0100

    source sha:94c1af65367dcbc7272455cf6d4940252a289b62

https://git.libreoffice.org/core/+/94c1af65367dcbc7272455cf6d4940252a289b62
  sw_redlinehide: make layout based Show/Hide mode the default
Comment 5 Michael Stahl (allotropia) 2022-05-17 18:01:09 UTC
fixed on master
Comment 6 Commit Notification 2022-05-17 18:01:22 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1f8795df957c18c5c06bf1d68d0d60b1d30f015d

tdf#147220 sw_redlinehide: update frames in ReplaceRangeImpl()

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-05-17 19:29:04 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/085ae759c1dc10a40cf3be95201c1028e847d012

tdf#147220 sw_redlinehide: update frames in ReplaceRangeImpl()

It will be available in 7.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.